Package org.apache.solr.client.solrj.impl

## Class SolrHttpClientContextBuilder.CookieSpecRegistryProvider

- java.lang.Object
- - org.apache.solr.client.solrj.impl.SolrHttpClientContextBuilder.CookieSpecRegistryProvider

Enclosing class:
  SolrHttpClientContextBuilder

    public abstract static class SolrHttpClientContextBuilder.CookieSpecRegistryProvider
    extends Object

### Constructor Summary

Constructors
`CookieSpecRegistryProvider()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract org.apache.http.config.Lookup<org.apache.http.cookie.CookieSpecProvider>` `getCookieSpecRegistry()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CookieSpecRegistryProvider

    public CookieSpecRegistryProvider()

### Method Detail

#### getCookieSpecRegistry

    public abstract org.apache.http.config.Lookup<org.apache.http.cookie.CookieSpecProvider> getCookieSpecRegistry()